Index: tests/regression/Options/DryRun/post/session.py
===================================================================
--- tests/regression/Options/DryRun/post/session.py	(revision e7ad08f61dc9dca6dd0ca864bfc7eda390ea0535)
+++ tests/regression/Options/DryRun/post/session.py	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
@@ -2,8 +2,8 @@
 # ========================== Stored Session BEGIN ==========================
 pyMoleCuilder.CommandDryRun()
-pyMoleCuilder.WorldInput("hydrogen.xyz")
-pyMoleCuilder.AtomAdd("1", "0,0,0")
+pyMoleCuilder.WorldInput(input="hydrogen.xyz")
+pyMoleCuilder.AtomAdd(add_atom="1", domain_position="0,0,0")
 pyMoleCuilder.SelectionAllAtoms()
-pyMoleCuilder.AtomTranslate("5,5,5", "0")
+pyMoleCuilder.AtomTranslate(position="5,5,5", periodic="0")
 pyMoleCuilder.CommandNoDryRun()
 # =========================== Stored Session END ===========================
Index: tests/regression/Options/DryRun/testsuite-options-dryrun-storesession.at
===================================================================
--- tests/regression/Options/DryRun/testsuite-options-dryrun-storesession.at	(revision e7ad08f61dc9dca6dd0ca864bfc7eda390ea0535)
+++ tests/regression/Options/DryRun/testsuite-options-dryrun-storesession.at	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
@@ -21,5 +21,4 @@
 AT_KEYWORDS([options dry-run no-dry-run store-session])
 AT_SKIP_IF([../../molecuilder --help store-session; if test $? -eq 5; then /bin/true; else /bin/false; fi])
-AT_XFAIL_IF([/bin/true])
 
 # sample session
Index: tests/regression/Options/Session/post/complextest.py
===================================================================
--- tests/regression/Options/Session/post/complextest.py	(revision e7ad08f61dc9dca6dd0ca864bfc7eda390ea0535)
+++ tests/regression/Options/Session/post/complextest.py	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
@@ -1,13 +1,13 @@
 import pyMoleCuilder
 # ========================== Stored Session BEGIN ==========================
-pyMoleCuilder.CommandVerbose("2")
-pyMoleCuilder.ParserSetOutputFormats("mpqc tremolo")
-pyMoleCuilder.CommandSetRandomNumbersDistribution("uniform_int", "p=1;")
-pyMoleCuilder.WorldChangeBox("20,0,0,20,0,20")
-pyMoleCuilder.AtomAdd("1", "1,1,1")
-pyMoleCuilder.SelectionAtomById("0 0")
+pyMoleCuilder.CommandVerbose(verbose="2")
+pyMoleCuilder.ParserSetOutputFormats(set_output="mpqc tremolo")
+pyMoleCuilder.CommandSetRandomNumbersDistribution(set_random_number_distribution="uniform_int", random_number_distribution_parameters="p=1;")
+pyMoleCuilder.WorldChangeBox(change_box="20,0,0,20,0,20")
+pyMoleCuilder.AtomAdd(add_atom="1", domain_position="1,1,1")
+pyMoleCuilder.SelectionAtomById(select_atom_by_id="0 0")
 pyMoleCuilder.GraphSubgraphDissection()
 pyMoleCuilder.SelectionMoleculeOfAtom()
-pyMoleCuilder.FillRegularGrid("3 3 3", ".5,.5,.5", "1", "0", "0", "0", "0")
+pyMoleCuilder.FillRegularGrid(mesh_size="3 3 3", mesh_offset=".5,.5,.5", min_distance="1", tesselation_radius="0", random_atom_displacement="0", random_molecule_displacement="0", DoRotate="0")
 pyMoleCuilder.CommandVersion()
 # =========================== Stored Session END ===========================
Index: tests/regression/Options/Session/post/test.py
===================================================================
--- tests/regression/Options/Session/post/test.py	(revision e7ad08f61dc9dca6dd0ca864bfc7eda390ea0535)
+++ tests/regression/Options/Session/post/test.py	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
@@ -1,5 +1,5 @@
 import pyMoleCuilder
 # ========================== Stored Session BEGIN ==========================
-pyMoleCuilder.CommandVerbose("2")
+pyMoleCuilder.CommandVerbose(verbose="2")
 pyMoleCuilder.CommandVersion()
 # =========================== Stored Session END ===========================
Index: tests/regression/Options/Session/testsuite-options-load-session-python.at
===================================================================
--- tests/regression/Options/Session/testsuite-options-load-session-python.at	(revision e7ad08f61dc9dca6dd0ca864bfc7eda390ea0535)
+++ tests/regression/Options/Session/testsuite-options-load-session-python.at	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
@@ -22,5 +22,4 @@
 AT_TESTED([python diff grep])
 AT_SKIP_IF([../../molecuilder --help load-session; if test $? -eq 5; then /bin/true; else /bin/false; fi])
-AT_XFAIL_IF([/bin/true])
 
 # check that session is stored and can be executed when correctly prefixed
@@ -36,5 +35,4 @@
 AT_TESTED([python diff grep])
 AT_SKIP_IF([../../molecuilder --help load-session; if test $? -eq 5; then /bin/true; else /bin/false; fi])
-AT_XFAIL_IF([/bin/true])
 
 # check that session is stored and can be executed when correctly prefixed
Index: tests/regression/Options/Session/testsuite-options-store-session-python.at
===================================================================
--- tests/regression/Options/Session/testsuite-options-store-session-python.at	(revision e7ad08f61dc9dca6dd0ca864bfc7eda390ea0535)
+++ tests/regression/Options/Session/testsuite-options-store-session-python.at	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
@@ -22,5 +22,4 @@
 AT_TESTED([python diff grep])
 AT_SKIP_IF([../../molecuilder --help load-session; if test $? -eq 5; then /bin/true; else /bin/false; fi])
-AT_XFAIL_IF([/bin/true])
 
 # check that session is stored and can be executed when correctly prefixed
@@ -36,5 +35,4 @@
 AT_TESTED([python diff grep])
 AT_SKIP_IF([../../molecuilder --help load-session; if test $? -eq 5; then /bin/true; else /bin/false; fi])
-AT_XFAIL_IF([/bin/true])
 
 # check that session is stored and can be executed when correctly prefixed
